## DConfError DConfError — GError error codes |

## Functions

#define | DCONF_ERROR

## Types and Values

enum | DConfError

## Description

These are the error codes that can be returned from dconf APIs.

## Functions

### DCONF_ERROR

    #define DCONF_ERROR (dconf_error_quark ())

The error domain of DConf.

Since: 0.20

## Types and Values

### enum DConfError

Possible errors from DConf functions.

#### Members

DCONF_ERROR_FAILED | generic error |
DCONF_ERROR_PATH | the path given for the operation was a valid path or was not of the expected type (dir vs. key) |
DCONF_ERROR_NOT_WRITABLE | the given key was not writable |

Since: 0.20